<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from specfun_pascal.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="specfun_pascal" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>specfun_pascal</refname><refpurpose>Returns the Pascal matrix.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   P = specfun_pascal ( n )
   P = specfun_pascal ( n , k )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a matrix of floating point integers, must be positive</para></listitem></varlistentry>
   <varlistentry><term>k :</term>
      <listitem><para> a matrix of floating point integers, k=-1 returns the upper Pascal matrix, k=0 returns the symetric Pascal matrix, k=1 returns the lower triangular Pascal matrix, other values produce an error. Default k=0.</para></listitem></varlistentry>
   <varlistentry><term>P :</term>
      <listitem><para> a nxn matrix of floating point integers</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the Pascal matrix.
   </para>
   <para>
The matrix U=specfun_pascal(n,1) is so that U'*U=S where
S=specfun_pascal(n,0).
   </para>
   <para>
Any optional argument equal to the empty matrix [] is replaced by its default value.
   </para>
   <para>
The performances of this algorithm have been optimized.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
specfun_pascal(5) // symetric
specfun_pascal(5,-1) // upper
specfun_pascal(5,0) // symetric
specfun_pascal(5,1) // lower

// Check a famous identity
n = 5;
U = specfun_pascal(n,-1)
S = specfun_pascal(n,0)
L = specfun_pascal(n,1)
L*U - S

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2009 - 2010 - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>http://bugzilla.scilab.org/show_bug.cgi?id=7670</para>
   <para>http://en.wikipedia.org/wiki/Pascal_matrix</para>
</refsection>
</refentry>
